### Class

# CM RoomMessageEvent

#### Description

    final class CM.RoomMessageEvent : CM.RoomEvent
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- CmRoomEvent
- CmEvent
- GObject

#### Instance methods

###### cm_room_message_event_get_body

No description available.

###### cm_room_message_event_get_file_async

Download a file asynchronously.

###### cm_room_message_event_get_file_finish

Finishes an asynchronous operation started with `cm_room_message_event_get_file_async()`.

###### cm_room_message_event_get_file_path

No description available.

###### cm_room_message_event_get_msg_type

Gets the content type (like text or image) of a room message.

##### Methods inherited from CmRoomEvent (2)

###### cm_room_event_get_room

Get the room this event belongs to.

###### cm_room_event_get_room_version

No description available.

##### Methods inherited from CmEvent (6)

###### cm_event_get_id

No description available.

###### cm_event_get_m_type

Get the Matrix type of an event.

###### cm_event_get_sender

Get the sender of the event.

###### cm_event_get_state

No description available.

###### cm_event_get_time_stamp

Get the event time stamp in milliseconds.

###### cm_event_is_encrypted

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from CmEvent (1)

###### CmEvent::updated

Emitted when the state of the event changed. See `CmEventState` and `cm_event_get_state()`.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CMRoomMessageEventClass {
      CmRoomEventClass parent_class;

    }

No description available.

###### Class members

`parent_class: CmRoomEventClass`

  No description available.